Package org.apache.solr.client.solrj.util

# Class Constants

java.lang.Object
org.apache.solr.client.solrj.util.Constants

public class Constants extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final boolean`
`IS_IBM_JAVA`
`static final boolean`
`JRE_IS_MINIMUM_JAVA11`
`static final boolean`
`JRE_IS_MINIMUM_JAVA9`
`static final String`
`JVM_SPEC_VERSION`

## Constructor Summary

Constructors
Constructor
Description
`Constants()`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### JVM_SPEC_VERSION

public static final String JVM_SPEC_VERSION

### JRE_IS_MINIMUM_JAVA9

public static final boolean JRE_IS_MINIMUM_JAVA9

See Also:
  - Constant Field Values

### JRE_IS_MINIMUM_JAVA11

public static final boolean JRE_IS_MINIMUM_JAVA11

See Also:
  - Constant Field Values

### IS_IBM_JAVA

public static final boolean IS_IBM_JAVA

## Constructor Details

### Constants

public Constants()